Page MenuHomePhabricator

Trying to expand issues doesn't show content
Closed, ResolvedPublic

Description

When a template adapts partially a warning is shown, but clicking on the issue card to read it does not show it since the tool is not able to focus the input on the affected content.
See video for explanation of the issue.

Example based on:
http://cx2-testing.wmflabs.org/index.php?title=Special:ContentTranslation&page=Murder%20of%20Dee%20Dee%20Blanchard&from=en&to=es&targettitle=Murder%20of%20Dee%20Dee%20Blanchard

Event Timeline

Jpita created this task.Jun 21 2019, 10:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2019, 10:51 AM
Jpita updated the task description. (Show Details)Jun 21 2019, 10:52 AM
Jpita updated the task description. (Show Details)Jun 21 2019, 10:57 AM
Pginer-WMF renamed this task from Content Translation Drop down doesn't show content to Trying to expand issues doesn't show content.Jun 21 2019, 11:06 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF triaged this task as Medium priority.Jul 12 2019, 7:07 AM
Pginer-WMF raised the priority of this task from Medium to High.Jul 29 2019, 11:49 AM

Change 531726 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Fix focusing of block transclusion nodes when their issue details are opened

https://gerrit.wikimedia.org/r/531726

Change 531726 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix focusing of block transclusion nodes when their issue details are opened

https://gerrit.wikimedia.org/r/531726

Jpita added a comment.Aug 26 2019, 2:51 PM

Using the article from the description, translating from english to esperanto, I managed to find this issue:


Issues:

  • console error
  • number of "translation issues" is wrong (20/19)

Steps:

  1. Start a translation of the article and translate 20 or 30 paragraphs only using MT
  2. Using the arrows of the issues box, go through all of the issues until the last one
  3. click "Mark as resolved" on the last one (make sure the last paragraph has 2 issues, Missing reference and 100% MT usage, I used the paragraph after Suspicions of deceptive behavior

Uncaught TypeError: Cannot read property 'id' of undefined is already reported at T229230, but there was no clear way to reproduce. Now that we have one, the problem should be fixed over there.

Jpita closed this task as Resolved.Aug 30 2019, 10:45 AM